class_name JobData extends Resource

enum Type {
	CIVILIAN,
	ADVENTURER,
	EMPLOYEE,
	CRAFTER
}
@export var name : String
@export var type : Type
var test

@export var min_STR : int = 1
@export var max_STR : int = 1
@export var min_DEX : int = 1
@export var max_DEX : int = 1
@export var min_INT : int = 1
@export var max_INT : int = 1

@export var min_CHA : int = 1
@export var max_CHA : int = 1
@export var min_FAI : int = 1
@export var max_FAI : int = 1
@export var min_LUK : int = 1
@export var max_LUK : int = 1

@export var portrait : PackedScene

@export var equippable_weapons : Array[String] = []

#TODO: Implement a more interesting tnl for different jobs
func get_tnl(lvl : int) -> int:
	return lvl * 10

func can_equip(item):
	return true
